Developers
V1MeReviews

/v1/me/reviews

PUT
/v1/me/reviews
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/me/reviews" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "claimId": "88057929-7728-4a26-8396-f965dcc8b947",    "expectedVersion": 0,    "rating": 1,    "text": "string",    "consentToPublish": true,    "noticeVersion": "2026-09-28-reviews"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "rating": 1,  "text": "string",  "author": "Verified customer",  "verifiedRedemption": true,  "updatedAt": "2019-08-24T14:15:22Z",  "claimId": "88057929-7728-4a26-8396-f965dcc8b947",  "version": 1,  "status": "pending"}